List pets, mounts and items
List your pets, mounts, eggs, hatching potions and food.
GET https://cotlet.dev/api/v1/habitica/pets-and-mounts
read
Returns the pets and mounts you own and the eggs, hatching potions and food in your inventory with counts. Pets that can still be fed are marked. Nothing is changed.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/habitica/pets-and-mounts \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("habitica", "list_pets_and_mounts") const result = await cotlet.call('habitica', 'list_pets_and_mounts'); cotlet call habitica list_pets_and_mounts Example response
{
"eggs": {
"Wolf": 2,
"Fox": 1
},
"hatching_potions": {
"Base": 1,
"Red": 1
},
"food": {
"Meat": 3
},
"pets": [
"Wolf-Base"
],
"mounts": []
}